import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';

//setting height and width of svg
const width = 1000;
const height = 600;

const App = () => {
  const data = loadData();	//loading data

  if (!data) {
    return <pre>Loading data...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />	//assigning data to the map
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

